package controllers;

import java.net.URL;
import java.util.Date;
import java.util.Map;
import java.util.ResourceBundle;

import javafx.collections.ObservableList;
import javafx.fxml.FXML;
import javafx.scene.control.TableView;
import javafx.scene.layout.Pane;

public class V75TabController extends AtgController {

	@FXML Pane V75ButtonPane;
	@FXML Pane V75ResultPane;
	@FXML private TableView<Map<String, Object>> racesTable;

	ObservableList<Map<String, Object>> tableRaces;

	@Override
	public void initialize(URL arg0, ResourceBundle arg1) {
		super.initialize(arg0, arg1);
		todaysRaces = DatabaseContoller.getInstance().getTodaysRaces("V75", MainController.DATE_FORMAT.format(new Date()));
		updateRacesTable();
	}

	@FXML
	public void GetTodaysRacesAction() {
		//		if (racesTable.getItems().size() <= 0) { // Hämta statistik från ATG för hästnamn och från travsport för data
		//		AtgParser.getInstance().getTodaysStartsFromATG("V75");
		//		}
		todaysRaces = DatabaseContoller.getInstance().getTodaysRaces("V75", MainController.DATE_FORMAT.format(new Date()));
		updateRacesTable();
	}
}
